Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I am getting this output/error for

# pecl install uploadprogress

downloading uploadprogress-1.0.1.tgz ...
Starting to download uploadprogress-1.0.1.tgz (8,536 bytes)
.....done: 8,536 bytes
4 source files, building
running: phpize
Configuring for:
PHP Api Version:         20041225
Zend Module Api No:      20060613
Zend Extension Api No:   220060519
building in /var/tmp/pear-build-root/uploadprogress-1.0.1
running: /tmp/pear/temp/uploadprogress/configure
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for a sed that does not truncate output... /bin/sed
checking for gcc... no
checking for cc... no
checking for cl.exe... no
configure: error: no acceptable C compiler found in $PATH
See `config.log' for more details.
ERROR: `/tmp/pear/temp/uploadprogress/configure' failed

php-pear is installed. I'm stumped.

share|improve this question
add comment

1 Answer 1

You're missing gcc in your path, most probably you don't have it installed.

Don't forget to install make, too. On Debian just install the package build-essentials, all the necessary tools are its dependencies. You might want to save the list of packages it installed and remove them after you compiled your PECL extension, since you probably don't want to keep those tools on a webserver.

Other than that, this should guide you:

http://joergfelser.at/content/howto-install-pecl-uploadprogress-debian-50-lenny

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.